package com.gyee.wisdom.dao.alarm;


import com.gyee.wisdom.common.data.alarm.AlertsnapNew;
import com.gyee.wisdom.common.data.alarm.FaultSnap;

import java.util.List;

public interface FaultSnapDao {

    public FaultSnap save(FaultSnap Alertsnap);
    public void save(List<FaultSnap> Alertsnaps);

    public FaultSnap findByWindturbineIdAndAlertValue(String windturbineid, int alertvalue);
    public FaultSnap findByStationIdAndAlertValue(String stationId, int alertvalue);

    public FaultSnap findByTestingpointkey(String testingpointkey);
    public List<FaultSnap> findAllFaultWindturbineId();
}
